Redirects do not work properly with Categories
Closed, ResolvedPublic

Description

Author: timwi

Description:
BUG MIGRATED FROM SOURCEFORGE
http://sourceforge.net/tracker/index.php?func=detail&aid=963535&group_id=34373&atid=411192
Originally submitted by Nobody/Anonymous - nobody 2004-05-31 13:55

The basic functionality doesn't work; see
[[en:Category:Sports]] for example.

But there is also a more complex issue:
If Category:Sports is redirected to Category:Sport,
all the pages categorized into Category:Sports should
be listed on page Category:Sport as if they had been
categorized into Category:Sport in the first place.

  • Additional comments ------------------------

Date: 2004-07-11 16:29
Sender: SF user ssducf

Redirects in categories to work with the normal redirect
syntax. However, this adds the redirected category to the
target category too. If the extrea colon is added after the
bracket, as normally done to link to a category without
putting the current article into it, then the redirect does
not work. (There is a similar problem with category links
in the history comment.)

Also, as already mentioned, if the category is redirected,
articles can still be assigned to it, but nobody will see
them as they will not so up in the category that is the
redirect target.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz100.
bzimport created this task.Via LegacyAug 16 2004, 6:01 AM
bzimport added a comment.Via ConduitAug 16 2004, 12:17 PM

wikibug.5.starfury wrote:

*** Bug 113 has been marked as a duplicate of this bug. ***

hashar added a comment.Via ConduitAug 21 2004, 10:41 PM

Ok got it fixed in cvs. Two ways to links now:

#REDIRECT [[Category:Music]]
Will add the article to the category and redirect to it.

#REDIRECT [[:Category:Music]]
Redirect but do NOT add it to the category music.

bzimport added a comment.Via ConduitAug 22 2004, 7:27 AM

jeluf wrote:

Only second half of bug fixed by Ashar's patch.
Pages categorized into a redirected category still do not appear in the
redirection target.

Set "severity" to "enhancement".

bzimport added a comment.Via ConduitOct 2 2004, 11:50 PM

beland wrote:

Perhaps this would be best solved by not allowing people to actually link
articles to redirected categories. This could be accomplished by giving an
error message with the suggested replacement, by automatically altering the text
right as it is saved. Alternatively, a bot could periodically clean up articles
linking to redirective categories. -B.

bzimport added a comment.Via ConduitNov 7 2004, 9:40 AM

gangleri wrote:

It is realy a complicated issue

  • first not to include the the redirected category in the target one and
  • seccond display the articles AND subcategories from the redirected category

in the target one.
There are many possibilies which sould be handeled / disabeled:

  • putting a colon before the category
  • putting a colon xx colon before the category (as :en: for en.wikipedia)
  • redirecting to another namespace
  • redirecting to another project (another language, quotes, whatever else)

Regards Reinhardt

bzimport added a comment.Via ConduitJan 19 2005, 12:58 AM

kdkeck wrote:

*** This bug has been marked as a duplicate of 710 ***

bzimport added a comment.Via ConduitFeb 23 2006, 3:20 AM

brianna.laugher wrote:

Is this really resolved? How should I redirect a category then?

Add Comment